Bug 14403 - Remove unconditional warn from Koha::NorwegianPatronDB
Summary: Remove unconditional warn from Koha::NorwegianPatronDB
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Magnus Enger
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-17 12:35 UTC by Magnus Enger
Modified: 2016-12-05 21:23 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14403 - Remove warn in Koha::NorwegianPatronDB (1.09 KB, patch)
2015-06-17 12:39 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 14403 - Remove warn in Koha::NorwegianPatronDB (1.17 KB, patch)
2015-06-17 12:49 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 14403 - Remove warn in Koha::NorwegianPatronDB (1.24 KB, patch)
2015-06-18 08:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2015-06-17 12:35:58 UTC
Line 99 og Koha/NorwegianPatronDB.pm looks like this:     

  warn "$combined_username => $combined_password";

This is clearly a leftover from development and should be deleted.
Comment 1 Magnus Enger 2015-06-17 12:39:35 UTC Comment hidden (obsolete)
Comment 2 Indranil Das Gupta 2015-06-17 12:49:25 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-06-18 08:56:36 UTC
Created attachment 40259 [details] [review]
Bug 14403 - Remove warn in Koha::NorwegianPatronDB

Line 99 has an unconditional warn, left over from development:

warn "$combined_username => $combined_password";

This patch deletes the line i question.

To test:
No testing needed, just have a look at the diff and see that
it makes sense to delete the warn.

Signed-off-by: Indranil Das Gupta (L2C2 Technologies) <indradg@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-06-19 14:48:40 UTC
Patch pushed to master.

Good catch Magnus!
Comment 5 Chris Cormack 2015-06-29 09:36:15 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 6 Liz Rea 2015-07-20 22:02:33 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 7 Mason James 2015-07-25 06:42:08 UTC
Skipping for 3.16.x series, due to patch conflicts